Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextLayout_FormatRange

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextLayout_FormatRange

All Implemented Interfaces:
  QtJambiInterface

    public class QTextLayout_FormatRange

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextLayout_FormatRange()` Creates a new QTextLayout_FormatRange.

Method Summary
`QTextCharFormat` | `format()` Specifies the format to apply.
`static QTextLayout_FormatRange` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextLayout_FormatRange instance pointed to by nativePointer
`int` | `length()` Specifies the numer of characters the format range spans.
`static QNativePointer` | `nativePointerArray(QTextLayout_FormatRange[] array)` This function returns a QNativePointer that is pointing to the specified QTextLayout_FormatRange array.
`void` | `setFormat(QTextCharFormat format)` Specifies the format to apply.
`void` | `setLength(int length)` Specifies the numer of characters the format range spans.
`void` | `setStart(int start)` Specifies the beginning of the format range within the text layout's text.
`int` | `start()` Specifies the beginning of the format range within the text layout's text.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextLayout_FormatRange

    public QTextLayout_FormatRange()

  Creates a new QTextLayout_FormatRange.

Method Detail

### setFormat

    public final void setFormat(QTextCharFormat format)

  Specifies the format to apply.

  @see `format`

### format

    public final QTextCharFormat format()

  Specifies the format to apply.

  @see `setFormat`

### setLength

    public final void setLength(int length)

  Specifies the numer of characters the format range spans.

  @see `length`

### length

    public final int length()

  Specifies the numer of characters the format range spans.

  @see `setLength`

### setStart

    public final void setStart(int start)

  Specifies the beginning of the format range within the text layout's text.

  @see `start`

### start

    public final int start()

  Specifies the beginning of the format range within the text layout's text.

  @see `setStart`

### fromNativePointer

    public static QTextLayout_FormatRange fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextLayout_FormatRange instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextLayout_FormatRange[] array)

  This function returns a QNativePointer that is pointing to the specified QTextLayout_FormatRange array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD